package com.evobms.project.VehicleData.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.evobms.framework.aspectj.lang.annotation.Excel;
import com.evobms.framework.web.domain.BaseEntity;

/**
 * 车辆位置数据对象 vehicle_location
 *
 * @author ruoyi
 * @date 2025-11-15
 */
public class VehicleLocation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 设备ID */
    @Excel(name = "设备ID")
    private String deviceId;

    /** 数据时间戳 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "数据时间戳", width = 30, dateFormat = "yyyy-MM-dd")
    private Date timestamp;

    /** 定位状态 (0:无效 1:有效) */
    @Excel(name = "定位状态 (0:无效 1:有效)")
    private Integer positioningStatus;

    /** 经度 */
    @Excel(name = "经度")
    private BigDecimal longitude;

    /** 纬度 */
    @Excel(name = "纬度")
    private BigDecimal latitude;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setDeviceId(String deviceId)
    {
        this.deviceId = deviceId;
    }

    public String getDeviceId()
    {
        return deviceId;
    }

    public void setTimestamp(Date timestamp)
    {
        this.timestamp = timestamp;
    }

    public Date getTimestamp()
    {
        return timestamp;
    }

    public void setPositioningStatus(Integer positioningStatus)
    {
        this.positioningStatus = positioningStatus;
    }

    public Integer getPositioningStatus()
    {
        return positioningStatus;
    }

    public void setLongitude(BigDecimal longitude)
    {
        this.longitude = longitude;
    }

    public BigDecimal getLongitude()
    {
        return longitude;
    }

    public void setLatitude(BigDecimal latitude)
    {
        this.latitude = latitude;
    }

    public BigDecimal getLatitude()
    {
        return latitude;
    }



    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("deviceId", getDeviceId())
            .append("timestamp", getTimestamp())
            .append("positioningStatus", getPositioningStatus())
            .append("longitude", getLongitude())
            .append("latitude", getLatitude())
            .toString();
    }
}
